The crash happened again when installing the below with sudo apt
install:

Start-Date: 2018-04-10  16:29:03
Commandline: apt install sqlitebrowser
Requested-By: chris (1000)
Install: libqt5scintilla2-l10n:amd64 (2.9.1+dfsg-4build1, automatic), 
libqt5scintilla2-12v5:amd64 (2.9.1+dfsg-4build1, automatic), 
libqcustomplot1.3:amd64 (1.3.2+dfsg1-1, automatic), sqlitebrowser:amd64 
(3.7.0-1)
End-Date: 2018-04-10  16:31:25

Syslog output of crash:

https://pastebin.com/rna21WiU

-- 
You received this bug notification because you are a member of Desktop
Packages, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1706203

Title:
  gnome-shell crashed with heap corruption in g_strfreev() from
  g_themed_icon_finalize()

Status in gnome-shell package in Ubuntu:
  Confirmed

Bug description:
  lsb_release -rd
  Description:  Ubuntu 16.04.2 LTS
  Release:      16.04

  apt-cache policy gnome-shell
  gnome-shell:
    Installed: 3.18.5-0ubuntu0.3
    Candidate: 3.18.5-0ubuntu0.3
    Version table:
   *** 3.18.5-0ubuntu0.3 500
          500 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 
Packages
          100 /var/lib/dpkg/status
       3.18.4-0ubuntu3 500
          500 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

  Happened during update of these packages
  Start-Date: 2017-07-24  16:09:37
  Commandline: apt-get -y install imagemagick imagemagick-6.q16 
imagemagick-common libimage-magick-perl libimage-magick-q16-perl 
libmagick++-6.q16-5v5 libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra 
libmagickwand-6.q16-2 perlmagick xserver-common xserver-xephyr 
xserver-xorg-core xserver-xorg-legacy
  Upgrade: libimage-magick-perl:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), xserver-common:amd64 (2:1.18.4-0ubuntu0.2, 
2:1.18.4-0ubuntu0.3), xserver-xorg-core:amd64 (2:1.18.4-0ubuntu0.2, 
2:1.18.4-0ubuntu0.3), libimage-magick-q16-perl:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), imagemagick:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), libmagickwand-6.q16-2:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), xserver-xorg-legacy:amd64 (2:1.18.4-0ubuntu0.2, 
2:1.18.4-0ubuntu0.3), xserver-xephyr:amd64 (2:1.18.4-0ubuntu0.2, 
2:1.18.4-0ubuntu0.3), imagemagick-6.q16:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), libmagickcore-6.q16-2-extra:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), libmagickcore-6.q16-2:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), imagemagick-common:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), libmagick++-6.q16-5v5:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8), perlmagick:amd64 (8:6.8.9.9-7ubuntu5.7, 
8:6.8.9.9-7ubuntu5.8)
  End-Date: 2017-07-24  16:12:37

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: gnome-shell 3.18.5-0ubuntu0.3
  ProcVersionSignature: Ubuntu 4.4.0-87.110-generic 4.4.73
  Uname: Linux 4.4.0-87-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.10
  Architecture: amd64
  AssertionMessage: *** Error in `/usr/bin/gnome-shell': free(): invalid next 
size (fast): 0x0000000005eed540 ***
  CrashCounter: 1
  CurrentDesktop: GNOME
  Date: Mon Jul 24 16:11:34 2017
  DisplayManager: gdm3
  ExecutablePath: /usr/bin/gnome-shell
  ExecutableTimestamp: 1496068513
  InstallationDate: Installed on 2014-10-24 (1004 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
  ProcCmdline: /usr/bin/gnome-shell
  ProcCwd: /home/chris
  ProcEnviron:
   PATH=(custom, user)
   XDG_RUNTIME_DIR=<set>
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  Signal: 6
  SourcePackage: gnome-shell
  StacktraceTop:
   __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7f7cec07de98 "*** 
Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
   malloc_printerr (ar_ptr=<optimized out>, ptr=<optimized out>, 
str=0x7f7cec07df10 "free(): invalid next size (fast)", action=3) at 
malloc.c:5006
   _int_free (av=<optimized out>, p=<optimized out>, have_lock=0) at 
malloc.c:3867
   __GI___libc_free (mem=<optimized out>) at malloc.c:2968
   g_strfreev () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
  Title: gnome-shell assert failure: *** Error in `/usr/bin/gnome-shell': 
free(): invalid next size (fast): 0x0000000005eed540 ***
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip kvm libvirtd lpadmin netdev plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1706203/+subscriptions

-- 
Mailing list: https://launchpad.net/~desktop-packages
Post to     : desktop-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~desktop-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to